Make it possible to unset a host's root password 
Category: Host creation   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1193310 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2632

  

Description

If a root password is set at a the host level it is not possible to unset it without munging the database directly.

Add some way to clear the password that has been set in the host interface.

FWIW, the SQL required to clear the root password is as follows:

update hosts set root_pass = null where name = '<your host name here>';

Related issues:

Related to Foreman - Bug #11387: LDAP Account password cannot be empty after ... Closed 08/17/2015

Has duplicate Foreman - Bug #9417: Impossible to see / clear root password fr... Duplicate 02/17/2015

Associated revisions

Revision 2348fc8e - 09/21/2015 11:32 AM - Amir Fefer

Fixes #2943,#11387 - Add unset option to password_f in layout helper, added in Host and hostgroup root_pass, LDAP acount password, BMC

password and compute resources password

#2943,#11387 - Please enter the commit message for your changes. Lines starting

History

#1 - 03/07/2014 12:24 PM - Steve Traylen

Indeed there looks to have been a regression on  - http://projects.theforeman.org/issues/1392

#2 - 03/07/2014 12:40 PM - Dominic Cleal

Steve Traylen wrote:

Indeed there looks to have been a regression on  - http://projects.theforeman.org/issues/1392

 Yes, this happened in #2484 - a combination of password fields no longer having their current value preset in Rails (which is good for security), and

then in response we changed the form not to overwrite a host's password with a blank value from the form when you edit a host.  This means you can

no longer deliberately reset it by deleting the value, as there is no current value - but also means users don't inadvertently reset it just by editing a

host.

I think to implement this (again), we would introduce something like a checkbox to the side of the password field which you'd tick if you wanted to

remove it entirely.

#3 - 02/18/2015 03:39 AM - Dominic Cleal

- Has duplicate Bug #9417: Impossible to see / clear root password from hostgroup added

#4 - 02/18/2015 07:58 AM - Bryan Kearney

- Bugzilla link set to 1193310
#5 - 08/17/2015 09:10 AM - Dominic Cleal

- Related to Bug #11387: LDAP Account password cannot be empty after edit  added

#6 - 08/17/2015 10:29 AM - Amir Fefer

- Status changed from New to Assigned

- Assignee set to Amir Fefer

#7 - 08/23/2015 10:37 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2632 added

- Pull request deleted ()

#8 - 09/21/2015 12:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2348fc8ea209f5359f3df9350adeb197ca4842c8.

#9 - 09/22/2015 02:58 AM - Dominic Cleal

- Category set to Host creation

- translation missing: en.field_release set to 63
